summaryrefslogtreecommitdiff
path: root/bsp
diff options
context:
space:
mode:
authorBunnaroath Sou <bsou@sifive.com>2019-05-20 14:22:00 -0700
committerBunnaroath Sou <bsou@sifive.com>2019-05-20 14:22:00 -0700
commit24d98e5a409131e8be1a17bcbc3cda31297afe7a (patch)
tree63ace3a99d25fc6707bf952a46c3ca119657d245 /bsp
parent44c4b9b6383f788fd29de5852cc645f0c76687a4 (diff)
Update metal to pick up inline support
Diffstat (limited to 'bsp')
-rwxr-xr-xbsp/update-targets.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bsp/update-targets.sh b/bsp/update-targets.sh
index b05731a..27f1e28 100755
--- a/bsp/update-targets.sh
+++ b/bsp/update-targets.sh
@@ -11,6 +11,15 @@ $0: BSP Generator for the SiFive Freedom E SDK
EOF
}
+warn () {
+ echo "$0:" "$@" >&2
+}
+die () {
+ shift
+ warn "$@"
+ exit 1
+}
+
unset DTSFILE
unset CUSTOM_PATH
unset CUSTOM_NAME